%define anolis_release 1

Name:           pixman
Version:        0.43.4
Release:        %{anolis_release}%{?dist}
Summary:        Pixel manipulation library

License:        MIT
URL:            https://gitlab.freedesktop.org/pixman/pixman
# To make git snapshots:
# ./make-pixman-snapshot.sh 8ff7213f39edc1b2b8b60d6b0cc5d5f14ca1928d
# if no revision specified, makes a new one from HEAD.
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz
Source1:        make-pixman-snapshot.sh

# https://gitlab.freedesktop.org/pixman/pixman/-/commit/3a32506877f925f9c27f72558f7f07fdb3092fc2
Patch0001:      0001-arm-add-include-guards-on-header.patch
# https://gitlab.freedesktop.org/pixman/pixman/-/commit/7ed0f8d04d56320b034f2e15ef7867c5724947e0
Patch0002:      0002-aarch64-support-PAC-and-BTI.patch

BuildRequires:  gcc
BuildRequires:  meson >= 0.52.0

%description
Pixman is a pixel manipulation library for X and Cairo.

%package devel
Summary: Pixel manipulation library development package
Requires: %{name} = %{version}-%{release}

%description devel
Development library for pixman.

%prep
%autosetup -p1
# bump up the test suite timeout because arm
sed -i 's/120/600/' test/meson.build

%build
%meson --auto-features=auto \
%ifarch %{arm}
  -Diwmmxt=disabled -Diwmmxt2=false \
%endif
  %nil

%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%doc COPYING
%{_libdir}/libpixman-1*.so.*
%{abidir}/libpixman-1*.dump

%files devel
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/pixman.h
%{_includedir}/pixman-1/pixman-version.h
%{_libdir}/libpixman-1*.so
%{_libdir}/pkgconfig/pixman-1.pc

%changelog
* Tue Mar 18 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 0.43.4-1
- update to 0.43.4
- Add patch to prevent double inclusion of header file
- Add patch to enable PAC and BTI feature
  [Patches cherry-pick from c10s. Original changelog:
  - Update to 0.43.4 (0.43.4-1) ]

* Sat Nov 12 2022 Funda Wang <fundawang@yeah.net> - 0.42.2-1
- New version 0.42.2

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.40.0-2
- optimise spec file

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 0.40.0-1
- Initial build for Anolis V23
